Debian Bug report logs - #466846
wzdftpd: FTBFS with Perl 5.10 (DynaLoader.a is gone)

version graph

Package: wzdftpd; Maintainer for wzdftpd is Pierre Chifflier <pollux@debian.org>; Source for wzdftpd is src:wzdftpd.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Thu, 21 Feb 2008 11:57:01 UTC

Severity: important

Tags: patch

Found in version wzdftpd/0.8.3-3

Fixed in versions wzdftpd/0.8.3-3.1, wzdftpd/0.8.3-4

Done: Pierre Chifflier <pollux@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#466846; Package wzdftpd. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Pierre Chifflier <pollux@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: wzdftpd: FTBFS with Perl 5.10 (DynaLoader.a is gone)
Date: Thu, 21 Feb 2008 13:55:07 +0200
Package: wzdftpd
Version: 0.8.3-3
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-transition

Your package fails to build with Perl 5.10 (currently in experimental.)

It looks like cmake/FindPerlDev.cmake fails to find DynaLoader.a,
which is indeed gone now. You should be using ExtUtils::Embed instead,
as specified in the Perl policy:

 http://www.debian.org/doc/packaging-manuals/perl-policy/ch-embed.html

Log excerpts follow:

make[1]: Entering directory `/build/niko/wzdftpd-0.8.3'
cd build && cmake .. -DSKIP_BUILD_RPATH=ON -DSKIP_INSTALL_RPATH=ON -DWITH_PAM=ON -DWITH_SFV=ON -DCMAKE_INSTALL_PREFIX="/usr" 
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Check size of void*
-- Check size of void* - done
-- Cannot determine repository type. Please set UPDATE_TYPE to 'cvs' or 'svn'. CTest update will not work.
-- Found MySQL: /usr/include/mysql, /usr/lib/libmysqlclient.so
-- GnuTLS was found, disabling OpenSSL check. Use -DWITH_GnuTLS=OFF to disable GnuTLS
-- Found Perl: /usr/lib/perl/5.10/CORE, /usr/lib/libperl.so
-- Found PostgreSQL: /usr/include/postgresql, /usr/lib/libpq.so

[...]

make[4]: Leaving directory `/build/niko/wzdftpd-0.8.3/build'
[ 81%] Built target libwzd_sfv
make[4]: Entering directory `/build/niko/wzdftpd-0.8.3/build'
CMake Error: cmake version 2.4-patch 8
Usage: /usr/bin/cmake -E [command] [arguments ...]
Available commands: 
  chdir dir cmd [args]... - run command in a given directory
  copy file destination   - copy file to destination (either file or directory)
  copy_if_different in-file out-file   - copy file if input has changed
  copy_directory source destination    - copy directory 'source' content to directory 'destination'
  compare_files file1 file2 - check if file1 is same as file2
  echo [string]...        - displays arguments as text
  echo_append [string]... - displays arguments as text but no new line
  environment             - display the current enviroment
  make_directory dir      - create a directory
  remove [-f] file1 file2 ... - remove the file(s), use -f to force it
  tar [cxt][vfz] file.tar file/dir1 file/dir2 ... - create a tar.
  time command [args] ... - run command and return elapsed time
  touch file                - touch a file.
  touch_nocreate file       - touch a file but do not create it.
  create_symlink old new  - create a symbolic link new -> old

make[4]: *** [modules/perl/CMakeFiles/libDynaLoader.a] Error 1
make[4]: Leaving directory `/build/niko/wzdftpd-0.8.3/build'
make[3]: *** [modules/perl/CMakeFiles/libDynaLoader.a.dir/all] Error 2
make[3]: Leaving directory `/build/niko/wzdftpd-0.8.3/build'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/build/niko/wzdftpd-0.8.3/build'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/build/niko/wzdftpd-0.8.3'
make: *** [build-arch-stamp] Error 2

Cheers,
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#466846; Package wzdftpd. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. Full text and rfc822 format available.

Message #10 received at 466846@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 466846@bugs.debian.org
Subject: wzdftpd: diff for NMU version 0.8.3-3.1
Date: Sun, 6 Apr 2008 01:29:31 +0100
[Message part 1 (text/plain, inline)]
tags 466846 + patch
thanks

Hi,

Attached is the diff for my wzdftpd 0.8.3-3.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[wzdftpd-0.8.3-3.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sun, 06 Apr 2008 00:33:03 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 466846-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 466846-close@bugs.debian.org
Subject: Bug#466846: fixed in wzdftpd 0.8.3-3.1
Date: Sun, 06 Apr 2008 00:32:05 +0000
Source: wzdftpd
Source-Version: 0.8.3-3.1

We believe that the bug you reported is fixed in the latest version of
wzdftpd, which is due to be installed in the Debian FTP archive:

wzdftpd-back-mysql_0.8.3-3.1_i386.deb
  to pool/main/w/wzdftpd/wzdftpd-back-mysql_0.8.3-3.1_i386.deb
wzdftpd-back-pgsql_0.8.3-3.1_i386.deb
  to pool/main/w/wzdftpd/wzdftpd-back-pgsql_0.8.3-3.1_i386.deb
wzdftpd-dev_0.8.3-3.1_i386.deb
  to pool/main/w/wzdftpd/wzdftpd-dev_0.8.3-3.1_i386.deb
wzdftpd-mod-avahi_0.8.3-3.1_i386.deb
  to pool/main/w/wzdftpd/wzdftpd-mod-avahi_0.8.3-3.1_i386.deb
wzdftpd-mod-perl_0.8.3-3.1_i386.deb
  to pool/main/w/wzdftpd/wzdftpd-mod-perl_0.8.3-3.1_i386.deb
wzdftpd-mod-tcl_0.8.3-3.1_i386.deb
  to pool/main/w/wzdftpd/wzdftpd-mod-tcl_0.8.3-3.1_i386.deb
wzdftpd_0.8.3-3.1.diff.gz
  to pool/main/w/wzdftpd/wzdftpd_0.8.3-3.1.diff.gz
wzdftpd_0.8.3-3.1.dsc
  to pool/main/w/wzdftpd/wzdftpd_0.8.3-3.1.dsc
wzdftpd_0.8.3-3.1_i386.deb
  to pool/main/w/wzdftpd/wzdftpd_0.8.3-3.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 466846@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated wzdftpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 06 Apr 2008 01:22:43 +0100
Source: wzdftpd
Binary: wzdftpd wzdftpd-back-mysql wzdftpd-back-pgsql wzdftpd-mod-avahi wzdftpd-mod-tcl wzdftpd-mod-perl wzdftpd-dev
Architecture: source i386
Version: 0.8.3-3.1
Distribution: unstable
Urgency: low
Maintainer: Pierre Chifflier <pollux@debian.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 wzdftpd    - A portable, modular, small and efficient ftp server
 wzdftpd-back-mysql - MySQL backend for wzdftpd
 wzdftpd-back-pgsql - PostgreSQL backend for wzdftpd
 wzdftpd-dev - Development files for wzdftpd
 wzdftpd-mod-avahi - Zeroconf module for wzdftpd
 wzdftpd-mod-perl - Perl module for wzdftpd
 wzdftpd-mod-tcl - Tcl module for wzdftpd
Closes: 466846
Changes: 
 wzdftpd (0.8.3-3.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with perl5.10 (closes: #466846)
   * Stop install empty examples/ directory
Files: 
 ae58b15eacfdccc4a865ad5154233239 874 net optional wzdftpd_0.8.3-3.1.dsc
 053a2f55290170eb479269adebb699a3 3816 net optional wzdftpd_0.8.3-3.1.diff.gz
 7981d62aad4b184f1af41a83c5291343 267858 net optional wzdftpd_0.8.3-3.1_i386.deb
 078905c0a6516f85a3a55c960d61f441 41210 net optional wzdftpd-back-mysql_0.8.3-3.1_i386.deb
 13a69313601b7dc94ab028944fb5a31f 40852 net optional wzdftpd-back-pgsql_0.8.3-3.1_i386.deb
 1e30faacd925b4ea17ce29790e9df2c0 31452 net optional wzdftpd-mod-avahi_0.8.3-3.1_i386.deb
 24978cdccd80c0691aaae4d9705a1cff 35806 net optional wzdftpd-mod-tcl_0.8.3-3.1_i386.deb
 7ea41423537ecde7585c39b4f16c6664 43034 net optional wzdftpd-mod-perl_0.8.3-3.1_i386.deb
 40ed1b19773da0def5abda5fa2ce82a1 72384 libdevel optional wzdftpd-dev_0.8.3-3.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+BlVSYIMHOpZA44RApMHAJ45MxCOSk/4kVV8d42nFiYOLnXUzACfWz+L
Rh7GLLQqbNE3wDAHOfB0M4c=
=aM32
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#466846; Package wzdftpd. Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <p.chifflier@inl.fr>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. Full text and rfc822 format available.

Message #22 received at 466846@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <p.chifflier@inl.fr>
To: Stephen Gran <sgran@debian.org>, 466846@bugs.debian.org
Subject: Re: Bug#466846: wzdftpd: diff for NMU version 0.8.3-3.1
Date: Tue, 8 Apr 2008 09:53:26 +0200
On Sun, Apr 06, 2008 at 01:29:31AM +0100, Stephen Gran wrote:
> tags 466846 + patch
> thanks
> 
> Hi,
> 
> Attached is the diff for my wzdftpd 0.8.3-3.1 NMU.
> 

Hi,

DynaLoader has disappeared, but it seems it *was* needed for my current
use (without it, I can't load the perl module anymore, so Perl 5.8
support is broken, and I don't know if 5.10 is working ..)

I was not using it explicitly, but it was coming from the output of the
command perl -MExtUtils::Embed -e ldopts
-Wl,-E  -L/usr/local/lib /usr/lib/perl/5.8/auto/DynaLoader/DynaLoader.a
-L/usr/lib/perl/5.8/CORE -lperl -ldl -lm -lpthread -lc -lcrypt

As cmake does not support specifying LDFLAGS directly, it do not see any
simple solution ...

Any idea ?

Pierre


> -  SET(perl_LIBS ${perl_LIBS} DynaLoader)

> +  #ADD_CUSTOM_TARGET(libDynaLoader.a COMMAND ${CMAKE_COMMAND} -E copy_if_different

> +  #  ${PERL_DYNALOADER}

> +  #  libDynaLoader.a)

> +  #ADD_DEPENDENCIES(libwzd_perl libDynaLoader.a)

> +  #SET(perl_LIBS ${perl_LIBS} DynaLoader)

>  ENDIF (NOT WIN32)

>  

>  IF(PERL_LIBRARY)








Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#466846; Package wzdftpd. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. Full text and rfc822 format available.

Message #27 received at 466846@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Pierre Chifflier <p.chifflier@inl.fr>
Cc: 466846@bugs.debian.org
Subject: Re: Bug#466846: wzdftpd: diff for NMU version 0.8.3-3.1
Date: Tue, 8 Apr 2008 10:55:25 +0100
[Message part 1 (text/plain, inline)]
This one time, at band camp, Pierre Chifflier said:
> On Sun, Apr 06, 2008 at 01:29:31AM +0100, Stephen Gran wrote:
> > tags 466846 + patch
> > thanks
> > 
> > Hi,
> > 
> > Attached is the diff for my wzdftpd 0.8.3-3.1 NMU.
> > 
> 
> Hi,
> 
> DynaLoader has disappeared, but it seems it *was* needed for my current
> use (without it, I can't load the perl module anymore, so Perl 5.8
> support is broken, and I don't know if 5.10 is working ..)
> 
> I was not using it explicitly, but it was coming from the output of the
> command perl -MExtUtils::Embed -e ldopts
> -Wl,-E  -L/usr/local/lib /usr/lib/perl/5.8/auto/DynaLoader/DynaLoader.a
> -L/usr/lib/perl/5.8/CORE -lperl -ldl -lm -lpthread -lc -lcrypt
> 
> As cmake does not support specifying LDFLAGS directly, it do not see any
> simple solution ...

I tested builing under both 5.8 and 5.10 before I filed that patch and
did the NMU.  Running `VERBOSE=1 cmake` showed that the 5.8 version was
doing the right thing and including DynaLoader, or at least it certainly
looked that way to me.
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#466846; Package wzdftpd. Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <p.chifflier@inl.fr>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. Full text and rfc822 format available.

Message #32 received at 466846@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <p.chifflier@inl.fr>
To: Stephen Gran <sgran@debian.org>, 466846@bugs.debian.org
Subject: Re: Bug#466846: wzdftpd: diff for NMU version 0.8.3-3.1
Date: Tue, 8 Apr 2008 12:19:53 +0200
On Tue, Apr 08, 2008 at 10:55:25AM +0100, Stephen Gran wrote:
> This one time, at band camp, Pierre Chifflier said:
> > Hi,
> > 
> > DynaLoader has disappeared, but it seems it *was* needed for my current
> > use (without it, I can't load the perl module anymore, so Perl 5.8
> > support is broken, and I don't know if 5.10 is working ..)
> > 
> > I was not using it explicitly, but it was coming from the output of the
> > command perl -MExtUtils::Embed -e ldopts
> > -Wl,-E  -L/usr/local/lib /usr/lib/perl/5.8/auto/DynaLoader/DynaLoader.a
> > -L/usr/lib/perl/5.8/CORE -lperl -ldl -lm -lpthread -lc -lcrypt
> > 
> > As cmake does not support specifying LDFLAGS directly, it do not see any
> > simple solution ...
> 
> I tested builing under both 5.8 and 5.10 before I filed that patch and
> did the NMU.  Running `VERBOSE=1 cmake` showed that the 5.8 version was
> doing the right thing and including DynaLoader, or at least it certainly
> looked that way to me.

Hum, I really think that the symbol is *not* found:
$ ldd build/modules/perl/libwzd_perl.so | grep perl
libperl.so.5.8 => /usr/lib/libperl.so.5.8 (0x00002b50f61a0000)

$ nm build/modules/perl/libwzd_perl.so | grep Dyna
         U boot_DynaLoader

Note that the symbol is unresolved, because it is part of DynaLoader.a,
which is not linked anymore:
$ nm /usr/lib/perl/5.8/auto/DynaLoader/DynaLoader.a |grep boot_Dyna
0000000000000050 T boot_DynaLoader

I think the only solution is to make a conditional inclusion, like: if
detected, then link to the file.

I have not yet checked how perl 5.10 manages dynamic loading ..

Regards,
Pierre




Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#466846; Package wzdftpd. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. Full text and rfc822 format available.

Message #37 received at 466846@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Pierre Chifflier <p.chifflier@inl.fr>
Cc: 466846@bugs.debian.org
Subject: Re: Bug#466846: wzdftpd: diff for NMU version 0.8.3-3.1
Date: Tue, 8 Apr 2008 12:50:14 +0100
[Message part 1 (text/plain, inline)]
This one time, at band camp, Pierre Chifflier said:
> On Tue, Apr 08, 2008 at 10:55:25AM +0100, Stephen Gran wrote:
> > This one time, at band camp, Pierre Chifflier said:
> > > Hi,
> > > 
> > > DynaLoader has disappeared, but it seems it *was* needed for my current
> > > use (without it, I can't load the perl module anymore, so Perl 5.8
> > > support is broken, and I don't know if 5.10 is working ..)
> > > 
> > > I was not using it explicitly, but it was coming from the output of the
> > > command perl -MExtUtils::Embed -e ldopts
> > > -Wl,-E  -L/usr/local/lib /usr/lib/perl/5.8/auto/DynaLoader/DynaLoader.a
> > > -L/usr/lib/perl/5.8/CORE -lperl -ldl -lm -lpthread -lc -lcrypt
> > > 
> > > As cmake does not support specifying LDFLAGS directly, it do not see any
> > > simple solution ...
> > 
> > I tested builing under both 5.8 and 5.10 before I filed that patch and
> > did the NMU.  Running `VERBOSE=1 cmake` showed that the 5.8 version was
> > doing the right thing and including DynaLoader, or at least it certainly
> > looked that way to me.
> 
> Hum, I really think that the symbol is *not* found:
> $ ldd build/modules/perl/libwzd_perl.so | grep perl
> libperl.so.5.8 => /usr/lib/libperl.so.5.8 (0x00002b50f61a0000)
> 
> $ nm build/modules/perl/libwzd_perl.so | grep Dyna
>          U boot_DynaLoader
> 
> Note that the symbol is unresolved, because it is part of DynaLoader.a,
> which is not linked anymore:
> $ nm /usr/lib/perl/5.8/auto/DynaLoader/DynaLoader.a |grep boot_Dyna
> 0000000000000050 T boot_DynaLoader
> 
> I think the only solution is to make a conditional inclusion, like: if
> detected, then link to the file.
> 
> I have not yet checked how perl 5.10 manages dynamic loading ..

Ah, I think I may have a slightly better patch, then.  With this patch 
and perl5.8, I get:
steve@gashuffer:~/NMU/wzdftpd-0.8.3/build/modules/perl$ objdump -x libwzd_perl.so | grep boot_Dyn 
00009bc0 g     F .text  000003ed              boot_DynaLoader

and with 5.10 I get:
root@gashuffer:/tmp/buildd/wzdftpd-0.8.3# objdump -x build/modules/perl/libwzd_perl.so | grep boot_Dyn
00000000       F *UND*  0000078c              boot_DynaLoader

(this is correct - in 5.10, boot_DynaLoader has moved into libperl, so
it will be loaded dynamically)

--- wzdftpd-0.8.3/modules/perl/CMakeLists.txt   2006-10-19 14:08:17.000000000 +0100
+++ wzdftpd-0.8.3/modules/perl/CMakeLists.txt   2008-04-08 12:47:48.000000000 +0100
@@ -36,11 +36,13 @@
     MACRO_ADD_LINK_FLAGS(libwzd_perl "${PERL_EXTRA_LD_FLAGS}")
   ENDIF(PERL_EXTRA_LD_FLAGS)
 
-  ADD_CUSTOM_TARGET(libDynaLoader.a COMMAND ${CMAKE_COMMAND} -E copy_if_different
-    ${PERL_DYNALOADER}
-    libDynaLoader.a)
-  ADD_DEPENDENCIES(libwzd_perl libDynaLoader.a)
-  SET(perl_LIBS ${perl_LIBS} DynaLoader)
+  IF(PERL_DYNALOADER)
+    ADD_CUSTOM_TARGET(libDynaLoader.a COMMAND ${CMAKE_COMMAND} -E copy_if_different
+      ${PERL_DYNALOADER}
+      libDynaLoader.a)
+    ADD_DEPENDENCIES(libwzd_perl libDynaLoader.a)
+    SET(perl_LIBS ${perl_LIBS} DynaLoader)
+  ENDIF(PERL_DYNALOADER)
 ENDIF (NOT WIN32)
 
 IF(PERL_LIBRARY)

Sorry about the screw up - I guess I missed that gcc wasn't adding the
symbols, even though DynaLoader.a was on the link line.  If you like, I
can reupload, or I can step aside and let you do it.

Take care,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#466846; Package wzdftpd. Full text and rfc822 format available.

Acknowledgement sent to Pierre Chifflier <p.chifflier@inl.fr>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. Full text and rfc822 format available.

Message #42 received at 466846@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <p.chifflier@inl.fr>
To: Stephen Gran <sgran@debian.org>, 466846@bugs.debian.org
Subject: Re: Bug#466846: wzdftpd: diff for NMU version 0.8.3-3.1
Date: Tue, 8 Apr 2008 14:23:28 +0200
On Tue, Apr 08, 2008 at 12:50:14PM +0100, Stephen Gran wrote:
> Ah, I think I may have a slightly better patch, then.  With this patch 
> and perl5.8, I get:
> steve@gashuffer:~/NMU/wzdftpd-0.8.3/build/modules/perl$ objdump -x libwzd_perl.so | grep boot_Dyn 
> 00009bc0 g     F .text  000003ed              boot_DynaLoader
> 
> and with 5.10 I get:
> root@gashuffer:/tmp/buildd/wzdftpd-0.8.3# objdump -x build/modules/perl/libwzd_perl.so | grep boot_Dyn
> 00000000       F *UND*  0000078c              boot_DynaLoader
> 
> (this is correct - in 5.10, boot_DynaLoader has moved into libperl, so
> it will be loaded dynamically)
> 

[..]

> 
> Sorry about the screw up - I guess I missed that gcc wasn't adding the
> symbols, even though DynaLoader.a was on the link line.  If you like, I
> can reupload, or I can step aside and let you do it.
> 

Thanks, you were faster than me (I was working on a complicated
solution, with no good result). I'll merge your patch, ack the NMU and
re-upload.

Thanks for your help.

Pierre




Reply sent to Pierre Chifflier <pollux@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 466846-close@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <pollux@debian.org>
To: 466846-close@bugs.debian.org
Subject: Bug#466846: fixed in wzdftpd 0.8.3-4
Date: Tue, 08 Apr 2008 12:47:07 +0000
Source: wzdftpd
Source-Version: 0.8.3-4

We believe that the bug you reported is fixed in the latest version of
wzdftpd, which is due to be installed in the Debian FTP archive:

wzdftpd-back-mysql_0.8.3-4_amd64.deb
  to pool/main/w/wzdftpd/wzdftpd-back-mysql_0.8.3-4_amd64.deb
wzdftpd-back-pgsql_0.8.3-4_amd64.deb
  to pool/main/w/wzdftpd/wzdftpd-back-pgsql_0.8.3-4_amd64.deb
wzdftpd-dev_0.8.3-4_amd64.deb
  to pool/main/w/wzdftpd/wzdftpd-dev_0.8.3-4_amd64.deb
wzdftpd-mod-avahi_0.8.3-4_amd64.deb
  to pool/main/w/wzdftpd/wzdftpd-mod-avahi_0.8.3-4_amd64.deb
wzdftpd-mod-perl_0.8.3-4_amd64.deb
  to pool/main/w/wzdftpd/wzdftpd-mod-perl_0.8.3-4_amd64.deb
wzdftpd-mod-tcl_0.8.3-4_amd64.deb
  to pool/main/w/wzdftpd/wzdftpd-mod-tcl_0.8.3-4_amd64.deb
wzdftpd_0.8.3-4.diff.gz
  to pool/main/w/wzdftpd/wzdftpd_0.8.3-4.diff.gz
wzdftpd_0.8.3-4.dsc
  to pool/main/w/wzdftpd/wzdftpd_0.8.3-4.dsc
wzdftpd_0.8.3-4_amd64.deb
  to pool/main/w/wzdftpd/wzdftpd_0.8.3-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 466846@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pierre Chifflier <pollux@debian.org> (supplier of updated wzdftpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 08 Apr 2008 09:12:17 +0200
Source: wzdftpd
Binary: wzdftpd wzdftpd-back-mysql wzdftpd-back-pgsql wzdftpd-mod-avahi wzdftpd-mod-tcl wzdftpd-mod-perl wzdftpd-dev
Architecture: source amd64
Version: 0.8.3-4
Distribution: unstable
Urgency: low
Maintainer: Pierre Chifflier <pollux@debian.org>
Changed-By: Pierre Chifflier <pollux@debian.org>
Description: 
 wzdftpd    - A portable, modular, small and efficient ftp server
 wzdftpd-back-mysql - MySQL backend for wzdftpd
 wzdftpd-back-pgsql - PostgreSQL backend for wzdftpd
 wzdftpd-dev - Development files for wzdftpd
 wzdftpd-mod-avahi - Zeroconf module for wzdftpd
 wzdftpd-mod-perl - Perl module for wzdftpd
 wzdftpd-mod-tcl - Tcl module for wzdftpd
Closes: 466846
Changes: 
 wzdftpd (0.8.3-4) unstable; urgency=low
 .
   * Acknowledge NMU (Closes: #466846)
     Thanks to Stephen Gran for the patch
   * Fix paths in default config file
Files: 
 0a25f7aa6530dfd044c1a6a3d5f1b812 870 net optional wzdftpd_0.8.3-4.dsc
 879e581fe09edc6ef5cb23f0e4adc705 3892 net optional wzdftpd_0.8.3-4.diff.gz
 836f55ecdd878c81e502e5d9390b9913 282216 net optional wzdftpd_0.8.3-4_amd64.deb
 cdad0eb7980b272f370b27abd9311dfd 41452 net optional wzdftpd-back-mysql_0.8.3-4_amd64.deb
 5b22f099c127a3ad96e0779032ad8982 40890 net optional wzdftpd-back-pgsql_0.8.3-4_amd64.deb
 45d16edb86ae2f3f8d5e67dc89ceeb0b 31778 net optional wzdftpd-mod-avahi_0.8.3-4_amd64.deb
 f8adf368c2873c4ce8ac179a9857608a 36552 net optional wzdftpd-mod-tcl_0.8.3-4_amd64.deb
 1b31430bd32c0a8bc03d1e20a7498f1c 45460 net optional wzdftpd-mod-perl_0.8.3-4_amd64.deb
 c0f883ca89e851f61209346dda28364e 72892 libdevel optional wzdftpd-dev_0.8.3-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+2S/twVrWo1fQMsRAljYAJ9ytMnwk8vRdmZ+1tStzn3iuLZliwCgsnwg
E/bDkGY3kXcs6xlAaPycgIY=
=X43u
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 May 2008 07:39:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:43:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.